-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlClassDiagram

Declaration :

- C++ : class UmlClassDiagram : public UmlBaseClassDiagram
- Java : class UmlClassDiagram extends UmlBaseClassDiagram

This class manages 'class diagrams', notes that the class 'UmlDiagram' is a mother class of all the diagrams, allowing to generalize their management You can modify it as you want (except the constructor)

Artifact : UmlClassDiagram

Operation UmlClassDiagram

Declaration :

- C++ : public: UmlClassDiagram(void * id, const QCString & n) : UmlBaseClassDiagram(id, n)
- Java : public UmlClassDiagram(long id, String n)

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload